      subroutine draw_grid
c
c Draw a simple grid for aligning text.
c
      common /grid/grid_on
      logical grid_on
c
      if (.not.grid_on) return
      x = 0.0
      y = 0.0
      do i = 1, 40
         call plot(x,0.0,3)
         call plot(x,10.0,2)
         call plot(0.0,y,3)
         call plot(10.0,y,2)
         x = x + 0.25
         y = y + 0.25
      enddo
      return 
      end
c
c
      subroutine toggle_grid
      common /grid/grid_on
      logical grid_on
c
      grid_on = .not. grid_on
      return
      end
